VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   1740
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   3435
   LinkTopic       =   "Form1"
   ScaleHeight     =   1740
   ScaleWidth      =   3435
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer Timer1 
      Interval        =   100
      Left            =   2880
      Top             =   600
   End
   Begin VB.TextBox Temperature 
      Height          =   285
      Left            =   1440
      TabIndex        =   1
      Text            =   "0"
      Top             =   960
      Width           =   1095
   End
   Begin VB.TextBox ADC 
      Height          =   285
      Left            =   1440
      TabIndex        =   0
      Text            =   "0"
      Top             =   360
      Width           =   1095
   End
   Begin VB.Label Label2 
      Caption         =   "Temperature"
      Height          =   255
      Left            =   360
      TabIndex        =   3
      Top             =   960
      Width           =   1215
   End
   Begin VB.Label Label1 
      Caption         =   "ADC Reading"
      Height          =   255
      Left            =   360
      TabIndex        =   2
      Top             =   360
      Width           =   1095
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Set this to "1" if making an exe or "0" if debugging
'(so that the full paths are included in the declare statements)
#Const EXE_BUILD = 1

#If EXE_BUILD Then
    Private Declare Function ECIO_GetDLLVersion Lib "ECIO_api.dll" () As Long
    Private Declare Function ECIO_Open Lib "ECIO_api.dll" (ByVal index As Long, ByRef pVID_PID As Any) As Long
    Private Declare Function ECIO_Close Lib "ECIO_api.dll" () As Long
    Private Declare Function ECIO_Transmit Lib "ECIO_api.dll" (ByRef pDataOut As Any, ByVal dwLenOut As Long, ByRef pActualLenOut As Long, ByRef pDataIn As Any, ByVal dwExpectedLenIn As Long, ByRef pActualLenIn As Long, ByVal dwTimeout As Long) As Long
    Private Declare Function ECIO_GetDeviceCount Lib "ECIO_api.dll" (ByRef pVID_PID As Any) As Long
#Else
    Private Declare Function ECIO_GetDLLVersion Lib "C:\DEV\Flowcode V3\Components\USB Pack\Current\DLL Interface\V4\VB_App\ECIO_api.dll" () As Long
    Private Declare Function ECIO_Open Lib "C:\DEV\Flowcode V3\Components\USB Pack\Current\DLL Interface\V4\VB_App\ECIO_api.dll" (ByVal index As Long, ByRef pVID_PID As Any) As Long
    Private Declare Function ECIO_Close Lib "C:\DEV\Flowcode V3\Components\USB Pack\Current\DLL Interface\V4\VB_App\ECIO_api.dll" () As Long
    Private Declare Function ECIO_Transmit Lib "C:\DEV\Flowcode V3\Components\USB Pack\Current\DLL Interface\V4\VB_App\ECIO_api.dll" (ByRef pDataOut As Any, ByVal dwLenOut As Long, ByRef pActualLenOut As Long, ByRef pDataIn As Any, ByVal dwExpectedLenIn As Long, ByRef pActualLenIn As Long, ByVal dwTimeout As Long) As Long
    Private Declare Function ECIO_GetDeviceCount Lib "C:\DEV\Flowcode V3\Components\USB Pack\Current\DLL Interface\V4\VB_App\ECIO_api.dll" (ByRef pVID_PID As Any) As Long
#End If


Private sID(0 To 20) As Byte


Private Sub Form_Load()
    'Set the identifier
    sID(0) = Asc("v")
    sID(1) = Asc("i")
    sID(2) = Asc("d")
    sID(3) = Asc("_")
    sID(4) = Asc("1")
    sID(5) = Asc("2")
    sID(6) = Asc("b")
    sID(7) = Asc("f")
    sID(8) = Asc("&")
    sID(9) = Asc("p")
    sID(10) = Asc("i")
    sID(11) = Asc("d")
    sID(12) = Asc("_")
    sID(13) = Asc("0")
    sID(14) = Asc("2")
    sID(15) = Asc("1")
    sID(16) = Asc("0")
    sID(17) = 0

    Dim lRetVal As Long
    
    lRetVal = ECIO_Open(0, sID(0))

End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    'Make sure the connection is closed
    ECIO_Close
End Sub

Private Sub Timer1_Timer()

    Dim lRetVal As Long
    Dim bDataOut(0 To 1) As Byte
    Dim bDataIn(0 To 1) As Byte
    Dim nTxDataCnt As Long
    Dim nRxDataCnt As Long

    Dim Resistance As Double
    Dim Temp As Double
    Dim OOT0 As Double
    Dim OOB As Double
    Dim R0 As Double

    OOT0 = 1 / 298.15           'Define Thermistor constants
    OOB = 1 / 3950
    R0 = 4700

    bDataOut(0) = 3             'Perform Analogue Channel Sample
    bDataOut(1) = 1             'Channel 1
    lRetVal = ECIO_Transmit(bDataOut(0), 2, nTxDataCnt, bDataIn(0), 2, nRxDataCnt, 500)
    ADC.Text = bDataIn(0)
    
    'Calculate Resistance from ADC Reading
    Resistance = 10000 * ((12 / (0.05 * bDataIn(0))) - 1)
    
    'Calculate Temperature from Resistance
    Temp = (1 / (OOT0 + (OOB * Log(Resistance / R0)))) - 273.15
    Temperature.Text = Temp
        
End Sub
