VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   1365
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   3705
   LinkTopic       =   "Form1"
   ScaleHeight     =   1365
   ScaleWidth      =   3705
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox Duty2 
      Height          =   285
      Left            =   1320
      TabIndex        =   3
      Text            =   "0"
      Top             =   720
      Width           =   1095
   End
   Begin VB.TextBox Duty1 
      Height          =   285
      Left            =   1320
      TabIndex        =   0
      Text            =   "0"
      Top             =   240
      Width           =   1095
   End
   Begin VB.Timer Timer1 
      Interval        =   50
      Left            =   2760
      Top             =   360
   End
   Begin VB.Label Label2 
      Caption         =   "PWM Duty 2"
      Height          =   255
      Left            =   240
      TabIndex        =   2
      Top             =   720
      Width           =   1455
   End
   Begin VB.Label Label1 
      Caption         =   "PWM Duty 1"
      Height          =   255
      Left            =   240
      TabIndex        =   1
      Top             =   240
      Width           =   1215
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Set this to "1" if making an exe or "0" if debugging
'(so that the full paths are included in the declare statements)
#Const EXE_BUILD = 1

#If EXE_BUILD Then
    Private Declare Function ECIO_GetDLLVersion Lib "ECIO_api.dll" () As Long
    Private Declare Function ECIO_Open Lib "ECIO_api.dll" (ByVal index As Long, ByRef pVID_PID As Any) As Long
    Private Declare Function ECIO_Close Lib "ECIO_api.dll" () As Long
    Private Declare Function ECIO_Transmit Lib "ECIO_api.dll" (ByRef pDataOut As Any, ByVal dwLenOut As Long, ByRef pActualLenOut As Long, ByRef pDataIn As Any, ByVal dwExpectedLenIn As Long, ByRef pActualLenIn As Long, ByVal dwTimeout As Long) As Long
    Private Declare Function ECIO_GetDeviceCount Lib "ECIO_api.dll" (ByRef pVID_PID As Any) As Long
#Else
    Private Declare Function ECIO_GetDLLVersion Lib "C:\DEV\Flowcode V3\Components\USB Pack\Current\DLL Interface\V4\VB_App\ECIO_api.dll" () As Long
    Private Declare Function ECIO_Open Lib "C:\DEV\Flowcode V3\Components\USB Pack\Current\DLL Interface\V4\VB_App\ECIO_api.dll" (ByVal index As Long, ByRef pVID_PID As Any) As Long
    Private Declare Function ECIO_Close Lib "C:\DEV\Flowcode V3\Components\USB Pack\Current\DLL Interface\V4\VB_App\ECIO_api.dll" () As Long
    Private Declare Function ECIO_Transmit Lib "C:\DEV\Flowcode V3\Components\USB Pack\Current\DLL Interface\V4\VB_App\ECIO_api.dll" (ByRef pDataOut As Any, ByVal dwLenOut As Long, ByRef pActualLenOut As Long, ByRef pDataIn As Any, ByVal dwExpectedLenIn As Long, ByRef pActualLenIn As Long, ByVal dwTimeout As Long) As Long
    Private Declare Function ECIO_GetDeviceCount Lib "C:\DEV\Flowcode V3\Components\USB Pack\Current\DLL Interface\V4\VB_App\ECIO_api.dll" (ByRef pVID_PID As Any) As Long
#End If


Private sID(0 To 20) As Byte

Private PWMduty1 As Byte
Private PWMduty2 As Byte


Private Sub Form_Load()
    'Set the identifier
    sID(0) = Asc("v")
    sID(1) = Asc("i")
    sID(2) = Asc("d")
    sID(3) = Asc("_")
    sID(4) = Asc("1")
    sID(5) = Asc("2")
    sID(6) = Asc("b")
    sID(7) = Asc("f")
    sID(8) = Asc("&")
    sID(9) = Asc("p")
    sID(10) = Asc("i")
    sID(11) = Asc("d")
    sID(12) = Asc("_")
    sID(13) = Asc("0")
    sID(14) = Asc("2")
    sID(15) = Asc("1")
    sID(16) = Asc("0")
    sID(17) = 0

    state = 0

    Dim lRetVal As Long
    'Open Device
    lRetVal = ECIO_Open(0, sID(0))
    
    Dim bDataOut(0 To 2) As Byte
    Dim bDataIn(0 To 2) As Byte
    Dim nTxDataCnt As Long
    Dim nRxDataCnt As Long
    
    'Enable PWM Channels
    bDataOut(0) = 13            'PWM Control Command
    bDataOut(1) = 1             'Output To channel A (PWM 1)
    bDataOut(2) = 1             'Enable Channel
    lRetVal = ECIO_Transmit(bDataOut(0), 3, nTxDataCnt, bDataIn(0), 3, nRxDataCnt, 500)
    
    bDataOut(0) = 13            'PWM Control Command
    bDataOut(1) = 2             'Output To channel C (PWM 2)
    bDataOut(2) = 1             'Enable Channel
    lRetVal = ECIO_Transmit(bDataOut(0), 3, nTxDataCnt, bDataIn(0), 3, nRxDataCnt, 500)
    
    PWMduty2 = PWMduty1 + 128

End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)

    Dim bDataOut(0 To 2) As Byte
    Dim bDataIn(0 To 2) As Byte
    Dim nTxDataCnt As Long
    Dim nRxDataCnt As Long
    
    
    'Dutys to 0
    bDataOut(0) = 14              'PWM Duty Control Command
    bDataOut(1) = 1             'Output To channel A (PWM 1)
    bDataOut(2) = 0             'Duty cycle off
    lRetVal = ECIO_Transmit(bDataOut(0), 3, nTxDataCnt, bDataIn(0), 3, nRxDataCnt, 500)
    
    bDataOut(0) = 14            'PWM Duty Control Command
    bDataOut(1) = 2             'Output To channel C (PWM 2)
    bDataOut(2) = 0             'Duty cycle off
    lRetVal = ECIO_Transmit(bDataOut(0), 3, nTxDataCnt, bDataIn(0), 3, nRxDataCnt, 500)
    
    
    'Disable PWM Outputs
    bDataOut(0) = 13            'PWM Control Command
    bDataOut(1) = 1             'Output To channel A (PWM 1)
    bDataOut(2) = 0             'Disable Channel
    lRetVal = ECIO_Transmit(bDataOut(0), 3, nTxDataCnt, bDataIn(0), 3, nRxDataCnt, 500)
    
    bDataOut(0) = 13            'PWM Control Command
    bDataOut(1) = 2             'Output To channel C (PWM 2)
    bDataOut(2) = 0             'Disable Channel
    lRetVal = ECIO_Transmit(bDataOut(0), 3, nTxDataCnt, bDataIn(0), 3, nRxDataCnt, 500)

    'Make sure the connection is closed
    ECIO_Close
End Sub


Private Sub Timer1_Timer()


    Dim lRetVal As Long
    Dim bDataOut(0 To 2) As Byte
    Dim bDataIn(0 To 2) As Byte
    Dim nTxDataCnt As Long
    Dim nRxDataCnt As Long

    If PWMduty1 < 255 Then
        PWMduty1 = PWMduty1 + 1
    Else
        PWMduty1 = 0
    End If
    
    If PWMduty2 < 255 Then
        PWMduty2 = PWMduty2 + 1
    Else
        PWMduty2 = 0
    End If
    
    Duty1.Text = PWMduty1
    Duty2.Text = PWMduty2
    
    bDataOut(0) = 14            'PWM Duty Control Command
    bDataOut(1) = 1             'Output To channel A (PWM 1)
    bDataOut(2) = PWMduty1      'Value of Duty cycle
    lRetVal = ECIO_Transmit(bDataOut(0), 3, nTxDataCnt, bDataIn(0), 3, nRxDataCnt, 500)
    
    bDataOut(0) = 14            'PWM Duty Control Command
    bDataOut(1) = 2             'Output To channel C (PWM 2)
    bDataOut(2) = PWMduty2      'Value of Duty cycle
    lRetVal = ECIO_Transmit(bDataOut(0), 3, nTxDataCnt, bDataIn(0), 3, nRxDataCnt, 500)

End Sub
