Option Strict Off
Option Explicit On
Friend Class Form1
	Inherits System.Windows.Forms.Form
	'Set this to "1" if making an exe or "0" if debugging
	'(so that the full paths are included in the declare statements)
#Const EXE_BUILD = 1
	
#If EXE_BUILD Then
	Private Declare Function ECIO_GetDLLVersion Lib "ECIO_api.dll" () As Integer
    Private Declare Function ECIO_Open Lib "ECIO_api.dll" (ByVal index As Integer, ByRef pVID_PID As Byte) As Integer
	Private Declare Function ECIO_Close Lib "ECIO_api.dll" () As Integer
    Private Declare Function ECIO_Transmit Lib "ECIO_api.dll" (ByRef pDataOut As Byte, ByVal dwLenOut As Integer, ByRef pActualLenOut As Integer, ByRef pDataIn As Byte, ByVal dwExpectedLenIn As Integer, ByRef pActualLenIn As Integer, ByVal dwTimeout As Integer) As Integer
    Private Declare Function ECIO_GetDeviceCount Lib "ECIO_api.dll" (ByRef pVID_PID As Byte) As Integer
#Else
	Private Declare Function ECIO_GetDLLVersion Lib "C:\DEV\Flowcode V3\Components\USB Pack\Current\DLL Interface\V4\VB_App\ECIO_api.dll" () As Long
	Private Declare Function ECIO_Open Lib "C:\DEV\Flowcode V3\Components\USB Pack\Current\DLL Interface\V4\VB_App\ECIO_api.dll" (ByVal index As Long, ByRef pVID_PID As Any) As Long
	Private Declare Function ECIO_Close Lib "C:\DEV\Flowcode V3\Components\USB Pack\Current\DLL Interface\V4\VB_App\ECIO_api.dll" () As Long
	Private Declare Function ECIO_Transmit Lib "C:\DEV\Flowcode V3\Components\USB Pack\Current\DLL Interface\V4\VB_App\ECIO_api.dll" (ByRef pDataOut As Any, ByVal dwLenOut As Long, ByRef pActualLenOut As Long, ByRef pDataIn As Any, ByVal dwExpectedLenIn As Long, ByRef pActualLenIn As Long, ByVal dwTimeout As Long) As Long
	Private Declare Function ECIO_GetDeviceCount Lib "C:\DEV\Flowcode V3\Components\USB Pack\Current\DLL Interface\V4\VB_App\ECIO_api.dll" (ByRef pVID_PID As Any) As Long
#End If
	
	
	Private sID(20) As Byte
	
	
	
	Private Sub Form1_Load(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles MyBase.Load
		'Set the identifier
		sID(0) = Asc("v")
		sID(1) = Asc("i")
		sID(2) = Asc("d")
		sID(3) = Asc("_")
		sID(4) = Asc("1")
		sID(5) = Asc("2")
		sID(6) = Asc("b")
		sID(7) = Asc("f")
		sID(8) = Asc("&")
		sID(9) = Asc("p")
		sID(10) = Asc("i")
		sID(11) = Asc("d")
		sID(12) = Asc("_")
		sID(13) = Asc("0")
		sID(14) = Asc("2")
		sID(15) = Asc("1")
		sID(16) = Asc("0")
		sID(17) = 0
		
		Dim lRetVal As Integer
		lRetVal = ECIO_Open(0, sID(0))
		
	End Sub
	
	Private Sub Form1_FormClosing(ByVal eventSender As System.Object, ByVal eventArgs As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		Dim Cancel As Boolean = eventArgs.Cancel
		Dim UnloadMode As System.Windows.Forms.CloseReason = eventArgs.CloseReason
		'Make sure the connection is closed
		ECIO_Close()
		eventArgs.Cancel = Cancel
	End Sub
	
	
	Private Sub In_Click()
		
	End Sub
	
	Private Sub Timer1_Tick(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles Timer1.Tick
		
		Dim lRetVal As Integer
		Dim bDataOut(2) As Byte
		Dim bDataIn(2) As Byte
		Dim nTxDataCnt As Integer
		Dim nRxDataCnt As Integer
		
		'Read Input to detect button press
		bDataOut(0) = 1 'Digital Input Command
		bDataOut(1) = 2 'Read Input Channel I2
		lRetVal = ECIO_Transmit(bDataOut(0), 3, nTxDataCnt, bDataIn(0), 3, nRxDataCnt, 500)
		
		Switch_Renamed.CheckState = bDataIn(0)
		
		'If input is set then light bulb
		If bDataIn(0) = 1 Then
			
			'Light Bulb
			bDataOut(0) = 7 'Digital Output Transistor Command
			bDataOut(1) = 1 'Output Channel A
			bDataOut(2) = 1 'Light Bulb
			lRetVal = ECIO_Transmit(bDataOut(0), 3, nTxDataCnt, bDataIn(0), 3, nRxDataCnt, 500)
			
			Bulb.CheckState = System.Windows.Forms.CheckState.Checked
			
			'Read Analogue Bulb Test
			bDataOut(0) = 3 'Analogue Input Command
			bDataOut(1) = 1 'Input Channel I1
			lRetVal = ECIO_Transmit(bDataOut(0), 3, nTxDataCnt, bDataIn(0), 3, nRxDataCnt, 500)
			
			If bDataIn(0) > 0 Then
				
				'Test Passed - Bulb OK
				'Clear Error LED
				bDataOut(0) = 7 'Digital Output Transistor Command
				bDataOut(1) = 2 'Output Channel B
				bDataOut(2) = 0 'Clear Error LED
				lRetVal = ECIO_Transmit(bDataOut(0), 3, nTxDataCnt, bDataIn(0), 3, nRxDataCnt, 500)
				
				Error_Renamed.CheckState = System.Windows.Forms.CheckState.Unchecked
				
			Else
				
				'Test Failed - Bulb Damaged
				'Set Error LED
				bDataOut(0) = 7 'Digital Output Transistor Command
				bDataOut(1) = 2 'Output Channel B
				bDataOut(2) = 1 'Set Error LED
				lRetVal = ECIO_Transmit(bDataOut(0), 3, nTxDataCnt, bDataIn(0), 3, nRxDataCnt, 500)
				
				Error_Renamed.CheckState = System.Windows.Forms.CheckState.Checked
				
			End If
			
			'Else clear bulb
		Else
			
			'Clear Bulb
			bDataOut(0) = 7 'Digital Output Transistor Command
			bDataOut(1) = 1 'Output Channel A
			bDataOut(2) = 0 'Clear Bulb
			lRetVal = ECIO_Transmit(bDataOut(0), 3, nTxDataCnt, bDataIn(0), 3, nRxDataCnt, 500)
			
			Bulb.CheckState = System.Windows.Forms.CheckState.Unchecked
			
		End If
		
		
		
	End Sub
End Class